Subject: Re: bug#60842: 29.0.50; Crash when printing sqlite object

From: Troy Hinckley <[email-masked]>
Date: Sun, 29 Jan 2023 00:36:40 -0700

Sorry for the long delay. I updated my Emacs version to the latest 29 commit and the issue went away. I am no longer able to reproduce it. Thank you for the quick reply and debug though!
On Jan 17, 2023 at 1:44 PM -0700, Paul Eggert <[email-masked]>, wrote:
> On 1/16/23 05:16, Eli Zaretskii wrote:
>
> > char buf[max (sizeof "from..to..in " + 2 * INT_STRLEN_BOUND (EMACS_INT),
> > max (sizeof " . #" + INT_STRLEN_BOUND (intmax_t),
> > max ((sizeof " with data 0x"
> > + (sizeof (uintmax_t) * CHAR_BIT + 4 - 1) / 4),
> > 40)))];
> > current_thread->stack_top = buf; <<<<<<<<<<<<<<<<<<<<<<<<<<
> >
> > If you remove the indicated line, does the crash go away?
> >
> > If removing that line doesn't help, please tell the dimension of the
> > buf[] array that the code above calculates? In GDB, this is possible
> > with the command 'ptype'; I don't know what is the lldb equivalent.
>
> sizeof buf should be 54 on his platform, which I assume has 64-bit
> addresses and 64-bit u?intmax_t.
>
>
> > Paul, any ideas or suggestions?
>
> Unfortunately not.
>